// DefinedValues.h

#ifndef _DEFINEDVALUES_h
#define _DEFINEDVALUES_h

static int RelayCount[] = {9, 3};
static int ValveBypassPins[] = { 0, 24, 26};
static int ValvePinsAll[] = { 0,30,32,34,36,38,40,42,44 };
//static bool Web_Is_Reading = false;
//static bool Web_Is_Writing = false;
//static bool Web_Read = false;
//static bool Web_Write = false;
static bool SelectTimedInterrupt = false;

// ENUM REPACEMENTS
#define S_STOPPED "Stopped"
#define S_SETTING_UP "Setup"
// PINS
#define PINS_FLOW_STATUS_LED 7
#define PINS_FLOW_SENSOR 5
#define PINS_SAP_TANK_PUMP 19  // ?????
#define PINS_SD_CARD 4
#define PINS_USB_ANALOG 4 
#define PINS_VACUUM_ANALOG 3
#define PINS_VACUUM_PUMP 20  // ?????

//  Interrupt Intervals
	// Intervals are in minutes
#define INTERVAL_FLOW 1
#define INTERVAL_HEATER_TEMPERATURE 15
#define INTERVAL_MINUTE_FACTOR 60000
#define INTERVAL_RESTART 2
#define INTERVAL_SHUTDOWN 2
#define INTERVAL_TEMPERATURE 5
#define INTERVAL_VACUUM 1

// Json defines
#define ARDUINOJSON_USE_DOUBLE 0
#define ESTIMATED_JSON_SIZE 2000

// LCD Labels
#define PRMPT_AT " @ "
#define PROMPT_TEMP "TempF:"
#define PRMPT_STATE "State:"
#define PRMPT_LINES "Valves:"
#define START_MSG "Vac:"
#define START_CLOSE_MSG "-Lines"

// Sap Flow  status
#define FLOW_SENSOR_INTERRUPT 0 // 0 = digital pin 2
#define FLOW_CALIBRATION_FACTOR 4.5
#define FLOW_INTERVAL 1000 // Interval between reads
#define FLOW_MIL_TO_GAL 3785.412 

// Sap Pump Values
#define PUMP_ONOFF_DELAY 5000

// Temperature Values
#define INSIDETEMP 0
#define OUTSIDETEMP 1

#define HEATERHIGHTEMP  42.0
#define HEATERLOWTEMP  32.1
#define	PINS_HEATER 20
#define INSIDE 0
#define ONE_WIRE_BUS 2
#define OUTSIDE 1
#define PUMPHIGHTEMP  42.0
#define PUMPLOWTEMP  32.1
#define RUNMODE  true
#define FROSTMODE  false


// Vacuum
#define VACUUM_PUMP_DIGI 0  // ????
#define TESTLOOPLIMIT 4

// Vacuum Pump
#define BYPASS_VALVE_INDEX 1
#define PUMP_VALVE_INDEX 2
#define PUMP_ONOFF_DELAY 5000
#define VACUUM_PUMP_DIGI 0  // ????
#define START_PUMP true
#define START_PUMP_NO false

// Valves
#define VALVE_DELAY 500
#define LINE_VALVES 0
#define BYPASS_VALVES 1
 
// WebServer
#define WEB_ACTION "action"
#define WEB_ACTION_DOWNLOAD "download"
#define WEB_ACTION_INVALID "invalid"
#define WEB_ACTION_NONE "none"
#define WEB_ACTION_REFRESH "refresh"
#define WEB_ACTION_RESTART "restart"
#define WEB_ACTION_SET_TIME "settime"
#define WEB_ACTION_SHUTDOWN "shutdown"
#define WEB_ACTION_UPLOAD "upload"
#define WEB_DATE "date"
#define WEB_TIME "time"
#define WEB_FILENAME "filename"
#define WEB_SERVER_WIFI false
#define WEB_SERVER_ETHERNET true
#define WEB_SERVER_PORT 80
#define WEB_MESSAGE_DOWNLOAD "download to client"
#define WEB_MESSAGE_FILE "File @Error @Direction of @FileName - @Result"
#define WEB_MESSAGE_INVALID_ACTION "Unsupported Action - @Action"
#define WEB_MESSAGE_NOT_FOUND "not found -"
#define WEB_MESSAGE_UPLOAD "upload to server"
#define HTML_PAGE_NAME "vacupage"
#define HTML_MAX_LENGTH 1000
#endif

